Subject: Re: bug#4819: file-truename's undocumented behavior

From: Lennart Borgman <[email-masked]>
Date: Thu, 29 Oct 2009 01:56:26 +0100

On Thu, Oct 29, 2009 at 1:37 AM, Stefan Monnier
<[email-masked]> wrote:
>
>> Why not mention in the docs that on w32 `w32-long-file-name' may be
>> a more suitable alternative esp. as it is a primitive and as it will
>> expand "8.3 DOS" short name aliases in the process. (Again, per
>> _existing_ comments in body of `file-truename's definition).
>
> Elisp should generally not be w32-specific, so ratehr than use
> w32-long-file-name we should maybe change
> file-truename correspondingly.  That doesn't mean I think it's the right
> thing to do: I know next to nothing about this issue.

It already calls w32-long-file-name. (I am not sure what MON means.)